Class | XMLRPC::Server
In: | xmlrpc/server.rb
Parent: | WEBrickServlet

### Methods

new serve shutdown

### Public Class methods

new(port=8080, host="127.0.0.1", maxConnections=4, stdlog=$stdout, audit=true, debug=true, *a)

[Source]

    # File xmlrpc/server.rb, line 634
      def initialize(port=8080, host="127.0.0.1", maxConnections=4, stdlog=$stdout, audit=true, debug=true, *a)
        super(*a)
        require 'webrick'
        @server = WEBrick::HTTPServer.new(:Port => port, :BindAddress => host, :MaxClients => maxConnections,
                                          :Logger => WEBrick::Log.new(stdlog))
        @server.mount("/", self)
      end

### Public Instance methods

serve()

[Source]

    # File xmlrpc/server.rb, line 642
      def serve
        if RUBY_PLATFORM =~ /mingw|mswin32/
          signal = 1
        else
          signal = "HUP"
        end
        trap(signal) { @server.shutdown }

        @server.start
      end

shutdown()

[Source]

    # File xmlrpc/server.rb, line 653
      def shutdown
        @server.shutdown
      end

[Validate]